JACK-AUDIO-CONNECTION-KIT 0.125.0

Data Fields
_jack_session_event Struct Reference
Session API for clients.

`#include <session.h>`

## Data Fields
jack_session_event_type_t | type
const char * | session_dir
const char * | client_uuid
char * | command_line
jack_session_flags_t | flags
uint32_t | future

## Field Documentation

## ◆ client_uuid

const char* _jack_session_event::client_uuid

Client UUID which must be passed to jack_client_open on session load.

The client can specify this in the returned command line, or save it in a state file within the session directory.

## ◆ command_line

char* _jack_session_event::command_line

Reply (set by client): the command line needed to restore the client.

This is a platform dependent command line. It must contain ${SESSION_DIR} instead of the actual session directory path. More generally, just as in session files, clients should not include any paths outside the session directory here as this makes archival/distribution impossible.

This field is set to NULL by Jack when the event is delivered to the client. The client must set to allocated memory that is safe to free(). This memory will be freed by jack_session_event_free.

## ◆ flags

jack_session_flags_t _jack_session_event::flags

Reply (set by client): Session flags.

## ◆ future

uint32_t _jack_session_event::future

Future flags. Set to zero for now.

## ◆ session_dir

const char* _jack_session_event::session_dir

Session directory path, with trailing separator.

This directory is exclusive to the client; when saving the client may create any files it likes in this directory.

## ◆ type

jack_session_event_type_t _jack_session_event::type

The type of this session event.

The documentation for this struct was generated from the following file:

- session.h